transformio.hh File Reference
`#include <mia/core/iohandler.hh>`
`#include <mia/core/ioplugin.hh>`
`#include <mia/3d/transform.hh>`
Include dependency graph for 3d/transformio.hh:

Go to the source code of this file.

## Data Structures

class | C3DTransformIOPluginHandlerImpl
| The non-singleton plug-in handler for 3D transformations. More...

## Typedefs

typedef C3DTransformationIOPluginHandler::Instance::DataKey | C3DTransformationDataKey
| data key type for temporary storage of 3D transformations
typedef TIOPlugin< C3DTransformation > | C3DTransformationIO
| Base class for the generic IO of transformations.
typedef THandlerSingleton< C3DTransformIOPluginHandlerImpl > | C3DTransformationIOPluginHandler
| Plug-in handler for the transformation IO plug-ins.

## Functions

P3DTransformation | load_3dtransform (const std::string &file)
| convenienance function to load a transformation
template<>
P3DTransformation | load_transform< P3DTransformation > (const std::string &file)
| specialized version to load a transformation
bool | save_transform (const std::string &file, const C3DTransformation &transform)
| convenienance function to save a transformation

## Variables

template class EXPORT_3D | THandlerSingleton< C3DTransformIOPluginHandlerImpl >
template class EXPORT_3D | TIOPlugin< C3DTransformation >
template class EXPORT_3D | TPlugin< C3DTransformation, io_plugin_type >

## Variable Documentation

## THandlerSingleton< C3DTransformIOPluginHandlerImpl >

template class EXPORT_3D THandlerSingleton< C3DTransformIOPluginHandlerImpl >

extern

## TIOPlugin< C3DTransformation >

template class EXPORT_3D TIOPlugin< C3DTransformation >

extern

## TPlugin< C3DTransformation, io_plugin_type >

template class EXPORT_3D TPlugin< C3DTransformation, io_plugin_type >

extern